Bug 1306103 - You should not be able to set a a role to a disabled user
You should not be able to set a a role to a disabled user
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Matt Tyson
Depends On:
  Show dependency treegraph
Reported: 2016-02-09 21:14 EST by Jeff Fearn
Modified: 2017-06-01 06:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-18 01:02:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2016-02-09 21:14:59 EST
Description of problem:
Currently it's possible to set roles to disabled users. It should not be possible to do this unless the user is the default user for that role.

e.g. you should not be able to set the QA Contact to a user unless that user is the default QA Contact.
Comment 1 Hui Wang 2016-03-21 23:01:58 EDT
Verified this issue.
The result is PASS.
version 5.0.2.rh2

1. Login with admin account
2. Disable a user: User1@redhat.com
3. New a bug for bugzilla
4. Set the QA Contact/Assignee/Doc Contact as User1@redhat.com in the bug (User1 is not the default QA contact of any component of bugzilla)

The account User1@redhat.com is disabled. Please select another user to assign this bug to.

Note You need to log in before you can comment on or make changes to this bug.